unit MainModule;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    GetDayButton: TButton;
    DayOfWeekEdit: TEdit;
    procedure GetDayButtonClick(Sender: TObject);
  private
    { Private declarations }
  public                           
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.GetDayButtonClick(Sender: TObject);
var
 day:Integer;
 week: array[1..7] of string;
begin
 week[1] := 'Воскресенье';
 week[2] := 'Понедельник';
 week[3] := 'Вторник';
 week[4] := 'Среда';
 week[5] := 'Четверг';
 week[6] := 'Пятница';
 week[7] := 'Суббота';

 day:=DayOfWeek(Date);
 DayOfWeekEdit.Text:=week[day];
end;

end.
 